<nz-spin [nzSpinning]="isLoading">
  <div nz-row>
    <div nz-col nzSpan="12">
      <nz-divider nzText="Management" nzOrientation="left"></nz-divider>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.IsAdmin">Is admin</label>
      </div>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.IsModerator">Is moderator</label>
      </div>
    </div>
    <div nz-col nzSpan="12">
      <nz-divider nzText="Citizens" nzOrientation="left"></nz-divider>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Citizens.SameIpList">Same IP list</label>
      </div>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Citizens.SamePasswordList">Same password list</label>
      </div>
    </div>
    <div nz-col nzSpan="12">
      <nz-divider nzText="Currencies" nzOrientation="left"></nz-divider>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Currencies.CanView">View</label>
      </div>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Currencies.CanModify">Modify</label>
      </div>
    </div>
    <div nz-col nzSpan="12">
      <nz-divider nzText="Store" nzOrientation="left"></nz-divider>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Store.CanView">View</label>
      </div>
    </div>
    <div nz-col nzSpan="12">
      <nz-divider nzText="Inventory" nzOrientation="left"></nz-divider>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Inventory.CanView">View</label>
      </div>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Inventory.CanModify">Modify</label>
      </div>
    </div>
    <div nz-col nzSpan="12">
      <nz-divider nzText="Articles" nzOrientation="left"></nz-divider>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Articles.CanHideArticle">Hide articles</label>
      </div>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Articles.CanHideArticleComment">Hide article
          comments</label>
      </div>
    </div>
    <div nz-col nzSpan="12">
      <nz-divider nzText="Entities" nzOrientation="left"></nz-divider>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Entities.Ban">Ban</label>
      </div>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Entities.Unban">Unban</label>
      </div>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Entities.ViewNotes">View notes</label>
      </div>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Entities.AddNotes">Add notes</label>
      </div>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Entities.SessionActions">Session actions</label>
      </div>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Entities.ViewTrades">View trades</label>
      </div>
    </div>

    <div nz-col nzSpan="12">
      <nz-divider nzText="Politics" nzOrientation="left"></nz-divider>
      <div>
        <label nz-checkbox [(ngModel)]="moderator.permissions.Politics.RegionConstruction">
          Region construction quality
        </label>
      </div>
    </div>
  </div>
</nz-spin>

<div nz-row nzJustify="end" style="margin-top: 5px">
  <div nz-col nzSpan="3">
    <button nz-button nzType="default" nzShape="round" style="align-self: right" (click)="save()"
      [nzLoading]="isLoading">
      Update
    </button>
  </div>
</div>
